PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation 0.1.2

dotnet add package PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation --version 0.1.2
NuGet\Install-Package PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation -Version 0.1.2
This command is intended to be used within the Package Manager Console in Visual Studio, as it uses the NuGet module's version of Install-Package.
<PackageReference Include="PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation" Version="0.1.2" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation --version 0.1.2
#r "nuget: PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation, 0.1.2"
#r directive can be used in F# Interactive and Polyglot Notebooks. Copy this into the interactive tool or source code of the script to reference the package.
// Install PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation as a Cake Addin
#addin nuget:?package=PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation&version=0.1.2

// Install PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation as a Cake Tool
#tool nuget:?package=PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation&version=0.1.2

Contains polyfills for the `OSArchitecture` property and `IsOSPlatform` method of `RuntimeInformation` class from the System.Runtime.InteropServices.RuntimeInformation library.

Product Compatible and additional computed target framework versions.
.NET Framework net40-client is compatible. 
Compatible target framework(s)
Included target framework(s) (in package)
Learn more about Target Frameworks and .NET Standard.
  • .NETFramework 4.0 Client

    • No dependencies.

NuGet packages (4)

Showing the top 4 NuGet packages that depend on PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation:

Package Downloads
JavaScriptEngineSwitcher.ChakraCore The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

JavaScriptEngineSwitcher.ChakraCore contains a `ChakraCoreJsEngine` adapter (wrapper for the ChakraCore).

LibSassHost The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

.NET wrapper around the LibSass (http://sass-lang.com/libsass) with the ability to support a virtual file system. This package does not contain the native implementations of LibSass. Therefore, you need to choose and install the most appropriate package(s) for your platform. The following packages are available: * LibSassHost.Native.win-x86 * LibSassHost.Native.win-x64 * LibSassHost.Native.linux-x64 * LibSassHost.Native.osx-x64

JavaScriptEngineSwitcher.Vroom The ID prefix of this package has been reserved for one of the owners of this package by NuGet.org.

JavaScriptEngineSwitcher.Vroom contains a `VroomJsEngine` adapter (wrapper for the VroomJs).

DartSassHost

.NET wrapper around the Dart Sass with the ability to support a virtual file system.

GitHub repositories (1)

Showing the top 1 popular GitHub repositories that depend on PolyfillsForOldDotNet.System.Runtime.InteropServices.RuntimeInformation:

Repository Stars
Taritsyn/JavaScriptEngineSwitcher
JavaScript Engine Switcher determines unified interface for access to the basic features of popular JavaScript engines. This library allows you to quickly and easily switch to using of another JavaScript engine.
Version Downloads Last updated
0.1.2 126 2/28/2024
0.1.1 11,043 12/3/2018
0.1.0 653 12/3/2018

Enabled a SourceLink in NuGet package.